Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Container Registry
  • Getting started
  • Yandex Container Solution
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • DryRun
        • GetDryRunResult
        • ListDryRunResults
        • ListDryRunResultAffectedImages
  • Monitoring metrics
  • Audit Trails events
  • Troubleshooting
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. LifecyclePolicy
  4. GetDryRunResult

Container Registry API, REST: LifecyclePolicy.GetDryRunResult

Written by
Yandex Cloud
Updated at January 29, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the dry run result of the specified lifecycle policy.

HTTP requestHTTP request

GET https://container-registry.api.cloud.yandex.net/container-registry/v1/dryRunLifecyclePolicyResults/{dryRunLifecyclePolicyResultId}

Path parametersPath parameters

Field

Description

dryRunLifecyclePolicyResultId

string

Required field. ID of the dry run result of the lifecycle policy.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "dryRunLifecyclePolicyResultId": "string",
  "lifecyclePolicyId": "string",
  "runAt": "string",
  "affectedImagesCount": "string"
}

Field

Description

dryRunLifecyclePolicyResultId

string

ID of the dry run result of the lifecycle policy.

lifecyclePolicyId

string

ID of the lifecycle policy.

runAt

string (date-time)

Time of the getting result.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

affectedImagesCount

string (int64)

Count of affected images.

Was the article helpful?

Previous
DryRun
Next
ListDryRunResults
© 2026 Direct Cursus Technology L.L.C.